cancel
Showing results for 
Search instead for 
Did you mean: 

/usr/lib/pa20_64/dld.sl: Unable to find library 'libclntsh.sl.10.1'.

Former Member
0 Kudos

Hi experts,

in transaction db13, i have this error : /usr/lib/pa20_64/dld.sl: Unable to find library 'libclntsh.sl.10.1'. i don't know why i have this error because i have a oracle client 9 and not a oracle client 10.

thank you for your help.

Best regards.

Souhail CHIHAIB

Accepted Solutions (0)

Answers (1)

Answers (1)

markus_doehr2
Active Contributor
0 Kudos

> in transaction db13, i have this error : /usr/lib/pa20_64/dld.sl: Unable to find library 'libclntsh.sl.10.1'. i don't know why i have this error because i have a oracle client 9 and not a oracle client 10.

If you use the br*tools 7.00 then you need the Oracle instantclient 10.2.

Markus

Former Member
0 Kudos

Hi MARKUS,

I have brtools 7.0 but It is impossible for me to install oracle client 10.2.

i have other system with brtools 7.0 and oracle client 9, and i don't have this problem.

Thank you for your response.

Best regards.

Souhail CHIHAIB

markus_doehr2
Active Contributor
0 Kudos

> I have brtools 7.0 but It is impossible for me to install oracle client 10.2.

the BRTOOLS depend on the database client, you can use BRTOOLS 6.40 wiht your Oracle 9.2 client but it's impossible to use the BR*TOOLS 7.00 with them.

Why is it impossible? You don't need to change anything else but install the instantclient, the current kernel and 9.2 client is not affected.

> i have other system with brtools 7.0 and oracle client 9, and i don't have this problem.

Markus

Former Member
0 Kudos

I have instantclient 10 with client 9.2 and brtools 7.00.

My probem is when I login with ora<SID>, brconnect works very well but when I login with <SID>adm, i have this error /usr/lib/pa20_64/dld.sl: Unable to find library 'libclntsh.sl.10.1'. in transaction db13.

Best regards.

Souhail CHIHAIB

Edited by: Souhail CHIHAIB on May 21, 2010 4:39 PM

markus_doehr2
Active Contributor
0 Kudos

> My probem is when I login with ora<SID>, brconnect works very well but when I login with <SID>adm, i have this error /usr/lib/pa20_64/dld.sl: Unable to find library 'libclntsh.sl.10.1'. in transaction db13.

Please check the environment variable SHLIB_PATH and LD_LIBRARY_PATH of both users.

Apparently ora<sid> has the correct path whereas <sid>adm hasnot.

Markus

Former Member
0 Kudos

<SID>ADM => SHLIB_PATH=/usr/sap/<SID>/SYS/exe/run:/oracle/<SID>//102_64/lib

ORA<SID> => SHLIB_PATH=/oracle/<SID>//102_64/lib:/usr/sap/<SID>/SYS/exe/run

Souhail CHIHAIB

markus_doehr2
Active Contributor
0 Kudos

Also check LD_LIBRARY_PATH.

Your error message says that the dynamic loader (dld) can't find the Oracle client library.

Markus

0 Kudos

Hi,

the environment variable for <sid>adm is not correct.

It is pointing to the ORACLE_HOME, which is not correct.

>

> <SID>ADM => SHLIB_PATH=/usr/sap/<SID>/SYS/exe/run:/oracle/<SID>//102_64/lib

> ORA<SID> => SHLIB_PATH=/oracle/<SID>//102_64/lib:/usr/sap/<SID>/SYS/exe/run

> Souhail CHIHAIB

Set it to the oracle client 10g (as you have done with the ora<sid>